Skip to main content
reservations

Update a reservation

Partially updates a reservation. Omitted fields are left unchanged. Assignees, destinations, booked-by contacts and companies are changed with add/remove arrays.

PATCH
/v1/reservations/{id}
beam-api-keystringheaderrequired
idintegerrequired

Reservation id

Required range: 0 < x

Body

application/json
assigneeIdsobject

Assignees to change, as user ids. add lists user ids to assign, remove lists user ids to unassign

bookedByIdsobject

Contacts the reservation is booked by, as contact ids. add lists contact ids to attach, remove lists contact ids to detach

companiesobject

Companies to change. add lists company ids to attach, remove lists company ids to detach

customFieldsobject

Custom field values to set, keyed by custom field id. An existing value is overwritten (null clears it), and a value is only created when content is non-empty

defaultTimezonestring

IANA timezone name for the reservation, for example America/New_York

descriptionstring | null

Reservation description. Send null to clear it

destinationIdsobject

Destinations to change. add lists destination ids to attach, remove lists destination ids to detach, destinationComment is an optional comment stored with the destinations

endDatestring

End of the reservation as an ISO 8601 date-time with timezone offset. Must not be before startDate

Minimum string length: 1
startDatestring

Start of the reservation as an ISO 8601 date-time with timezone offset. Must not be after endDate

Minimum string length: 1
statusIdstring

Id of the reservation status to set

titlestring

Reservation title

Minimum string length: 1

Response

application/json

The updated reservation

companyobject[]required

Companies linked to the reservation

createdAtstringrequired

Creation timestamp (ISO 8601)

createdByIdstring | nullrequired

Id of the user who created the reservation

customFieldsobjectrequired

Custom field values of the reservation, keyed by custom field id

defaultTimezonestring | nullrequired

Default IANA timezone of the reservation

descriptionstring | nullrequired

Reservation description

endDatestringrequired

End date and time (ISO 8601)

idintegerrequired

Reservation id

seqIdintegerrequired

Sequential reservation number within the studio

startDatestringrequired

Start date and time (ISO 8601)

statusobjectrequired

Current status of the reservation

statusIdstringrequired

Id of the reservation status

studioIdstringrequired

Id of the studio that owns the reservation

titlestringrequired

Reservation title

updatedAtstringrequired

Last update timestamp (ISO 8601)

urlstringrequired

Link to the reservation in the Beam web app